Debian DSA-2072-1:libpng - 複数の脆弱性

high Nessus プラグイン ID 47767

言語:

概要

リモート Debian ホストに、セキュリティ更新がありません。

説明

PNG ファイルの読み取りと書き込み用のライブラリ、libpng で複数の脆弱性が見つかりました。Common Vulnerabilities and Exposures プロジェクトは次の問題を特定しています:

- CVE-2010-1205 libpng にバッファオーバーフローがあるため、リモートの攻撃者が、データ行の追加を発生させる PNG 画像を介して、任意のコードを実行する可能性があることが判明しました。

- CVE-2010-2249 libpng にメモリ漏洩があるため、リモートの攻撃者が、無効な形式の Physical Scale(別名 sCAL)チャンクを含む PNG 画像を介して、サービス拒否(メモリ消費およびアプリケーションのクラッシュ)を引き起こす可能性があることが判明しました。

ソリューション

libpng パッケージをアップグレードしてください。

安定版(stable)ディストリビューション(lenny)では、これらの問題はバージョン 1.2.27-2+lenny4 で修正されています。

関連情報

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=533676

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=572308

https://security-tracker.debian.org/tracker/CVE-2010-1205

https://security-tracker.debian.org/tracker/CVE-2010-2249

https://www.debian.org/security/2010/dsa-2072

プラグインの詳細

深刻度: High

ID: 47767

ファイル名: debian_DSA-2072.nasl

バージョン: 1.15

タイプ: local

エージェント: unix

公開日: 2010/7/21

更新日: 2021/1/4

サポートされているセンサー: Frictionless Assessment Agent, Nessus Agent

リスク情報

VPR

リスクファクター: High

スコア: 7.4

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.9

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:POC/RL:OF/RC:C

脆弱性情報

CPE: p-cpe:/a:debian:debian_linux:libpng, cpe:/o:debian:debian_linux:5.0

必要な KB アイテム: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2010/7/19

参照情報

CVE: CVE-2010-1205, CVE-2010-2249

BID: 41174

DSA: 2072